Module jdk.compiler
Package com.sun.source.tree

# Interface AnnotatedTypeTree

All Superinterfaces:
  `CaseLabelTreePREVIEW`, `ExpressionTree`, `Tree`

public interface AnnotatedTypeTree extends ExpressionTree
A tree node for an annotated type. For example:

        @annotationType String
        @annotationType ( arguments ) Date

Since:
  1.8
See Also:
  - "JSR 308: Annotations on Java Types"

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends AnnotationTree>`
`getAnnotations()`
Returns the annotations associated with this type expression.
`ExpressionTree`
`getUnderlyingType()`
Returns the underlying type with which the annotations are associated.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getAnnotations

List<? extends AnnotationTree> getAnnotations()
Returns the annotations associated with this type expression.

Returns:
  the annotations

### getUnderlyingType

ExpressionTree getUnderlyingType()
Returns the underlying type with which the annotations are associated.

Returns:
  the underlying type